%define major		4
%define libname		%mklibname kvilib %major
%define develname	%mklibname kvilib -d

Name:		kvirc
Version:	4.2.0
Release:	%mkrel 5
Summary:	Qt IRC client
Group:		Networking/IRC
License:	GPLv2+ with exceptions
URL:		http://www.kvirc.net
Source0:	http://kvirc.gmake.de/pub/kvirc/%{version}/source/kvirc-%{version}.tar.bz2
Source1:	kvirc-4.0.4-irc.protocol
Source2:	kvirc-4.0.4-irc6.protocol
# backport epel fixes from revisions 6199,6201-6205 (thanks to Pragma)
Patch0:		kvirc-4.2.0-epel.patch
Patch1:		kvirc-4.2.0-v4l_deprecations.patch
BuildRequires:	cmake
BuildRequires:	kdelibs4-devel
BuildRequires:	perl-devel
BuildRequires:	python-devel
BuildRequires:	gettext
BuildRequires:	phonon-devel
BuildRequires:	libtheora-devel
BuildRequires:	libogg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libv4l-devel
BuildRequires:	openssl-devel
BuildRequires:	doxygen
BuildRequires:	shared-mime-info > 0.23
BuildRequires:	gsm-devel
Requires:	%{libname} = %{version}
Obsoletes:	kvirc4 < %{version}-%{release}
Provides:	kvirc4 = %{version}-%{release}

%description
Qt-based IRC client with support for themes, transparency, encryption,
many extended IRC features, and scripting.

%files -f %{name}.lang
%{_kde_bindir}/%{name}
%{_kde_libdir}/%{name}
%{_kde_datadir}/%{name}
%{_kde_iconsdir}/hicolor
%{_kde_mandir}/*/man1/*.1*
%{_kde_mandir}/man1/*.1*
%{_kde_datadir}/applications/%{name}.desktop
%{_kde_appsdir}/%{name}
%{_kde_datadir}/mime/packages/*
%{_kde_datadir}/pixmaps/%{name}.png
%{_kde_services}/_irc*.protocol

#--------------------------------------------------------------------
%package -n %{libname}
Summary:	Shared library for KVirc 4
Group:		System/Libraries
Obsoletes:	%{mklibname kvirc 4 4} 

%description -n %{libname}
Shared library provided by KVirc 4.

%files -n %{libname}
%{_kde_libdir}/libkvilib.so.%{major}*

#--------------------------------------------------------------------
%package -n %{develname}
Summary:	Development headers for KVirc 4
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development headers for KVirc 4.

%files  -n %{develname}
%{_kde_bindir}/%name-config
%{_kde_libdir}/libkvilib.so


#--------------------------------------------------------------------
%prep 
%setup -q
%apply_patches

%build
%cmake_kde4 \
    -DWANT_DCC_VIDEO=ON \
    -DWANT_OGG_THEORA=ON
%make

%install
%find_lang %{name}
%makeinstall_std -C build

mkdir -p %{buildroot}%{_kde_iconsdir}/hicolor/{16x16,32x32,48x48,64x64,128x128,scalable}/apps
for i in 16x16 32x32 48x48 64x64 128x128; do \
	cp data/icons/$i/*.png %{buildroot}%{_kde_iconsdir}/hicolor/$i/apps; \
done
cp data/icons/scalable/*.svg* %{buildroot}%{_kde_iconsdir}/hicolor/scalable/apps
rm -f %{buildroot}%{_kde_iconsdir}/hicolor/scalable/apps/createpng.sh

# Zé: irc protocol handle
install -m755 -d %{buildroot}%{_kde_services}
install -m644 %{S:1} %{buildroot}%{_kde_services}/_irc.protocol
install -m644 %{S:2} %{buildroot}%{_kde_services}/_irc6.protocol


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 4.2.0-5.mga4
+ Revision: 528157
- Mageia 4 Mass Rebuild

* Sun Jun 16 2013 fwang <fwang> 4.2.0-4.mga4
+ Revision: 443601
- add more br

* Sun Jun 16 2013 fwang <fwang> 4.2.0-3.mga4
+ Revision: 443597
- add fedora patches

* Sat Mar 30 2013 tmb <tmb> 4.2.0-3.mga3
+ Revision: 406683
- rebuild for new perl (#9570)

* Sat Jan 12 2013 umeabot <umeabot> 4.2.0-2.mga3
+ Revision: 356573
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 juancho <juancho> 4.2.0-1.mga3
+ Revision: 322936
- Updated to 4.2.0

* Sat Aug 11 2012 pterjan <pterjan> 4.1.3-0.svn6163.2.mga3
+ Revision: 280489
- Rebuild for new perl

* Tue May 01 2012 sander85 <sander85> 4.1.3-0.svn6163.1.mga2
+ Revision: 234450
- upgrade to newer revision to fix glitches in input fields

* Thu Dec 22 2011 juancho <juancho> 4.1.3-0.svn5993.1.mga2
+ Revision: 185674
- Updated to 4.1.3 (svnrev 5993)
- Fixed man pages, removed hardcoded installation
- Enabled cmake options WANT_DCC_VIDEO and WANT_OGG_THEORA
- Fixed broken install of _irc*.protocol services
- Removed BuildRoot stuff

  + ze <ze>
    - add irc handle
    - rebuild against new perl version
    - clean devel requires to %%release

* Mon Jun 13 2011 ze <ze> 4.0.4-2.mga2
+ Revision: 105559
- add requires for lib package

* Sat May 14 2011 ze <ze> 4.0.4-1.mga2
+ Revision: 98776
- imported package kvirc

